Bank Kalteng (Phase 2) - Bug #1990

[TM To PY] Pendapatan Uang Makan setiap Satu Minggu
02/06/2023 03:06 PM - Mega Yunita

Status: Closed Start date: 02/06/2023
Priority: Urgent Due date: 02/08/2023
Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear Mbak Yoma,

Mohon bantuannya untuk membuatkan function TM to Payroll untuk Perhitungan Pendapatan Uang Makan setiap Satu Minggu, yaitu

1. Nama Wage Type
- Uang Makan dengan kode wt 4505
- Potongan Uang Makan dengan kode wt D009

2. Pada table PHRPYTMTOPY, saya sudah membuat :
- Figure C_PotUangMakan, variant 5, AdditionalField5
- Figure C_UangMakan, variant 5, AdditionalField6

- Figure C_JumKehadiran, variant 5, AdditionalField7

3. Pada table PHRPYTMTOPYVAR
- Variant 0005 (Pendapatan Uang Makan)

Dengan kondisi :
- Uang makan didapat tiap minggu beradasarkan jumlah kehadiran dalam satu minggu yang tercatat di Attandance (PHRP0019)
Port : hitps://hris.bankkalteng.co.id/

Server : 103.168.134.119
DB : MinovaES_BankKalteng_Prod

Terima kasih

History

#1 - 02/06/2023 05:08 PM - Mega Yunita
- Project changed from KJL to Bank Kalteng (Phase 2)

#2 - 02/13/2023 03:12 PM - Tri Rizqiaty

- Status changed from Assigned to Developing

#3 - 02/13/2023 03:12 PM - Tri Rizqgiaty
- Status changed from Developing to QA Test

- Assignee changed from Tri Rizqiaty to Mega Yunita

#4 - 02/13/2023 03:13 PM - Tri Rizqiaty
- Status changed from QA Test to Assigned

- Assignee changed from Mega Yunita to Tri Rizqiaty

#5 - 02/14/2023 10:37 AM - Fachrul Hardianto
AttType yang di hitung adalah

- 1000 Jam Kerja

- 4000 Izin Datang Telat

- 5000 Izin Pulang Cepat
- 8000 Shift 3
#6 - 02/15/2023 11:15 AM - Tri Rizqiaty

- File MinovalS.MinovaES.Implementation.BKT.Business. TMToPYVar1.dll added
- File CBKTTMTOPYATTUANGMAKAN.sql added

- File CBKTTMTOPYTOTALUANGMAKAN.sql added

- File TMToPYUangMakan.xlIsx added

- Status changed from Assigned to Developing

Fixing :

1. update API1\bin & API2\bin : MinovalS.MinovaES.Implementation.BKT.Business. TMToPYVar1.dll (terlampir)
2. execute SP CBKTTMTOPYATTUANGMAKAN.sqgl , CBKTTMTOPYTOTALUANGMAKAN.sq|

3. update table2 sesuai excel terlampir

Notes : tolong rubah SDATATABLEFIELD - FIELDREF untuk table PHRTR0800, supata title field grid berubah
Thanks
#7 - 02/15/2023 11:16 AM - Tri Rizqiaty

- Status changed from Developing to QA Test

- Assignee changed from Tri Rizqgiaty to Mega Yunita

#8 - 04/04/2023 03:22 PM - Fachrul Hardianto
- Status changed from QA Test to Closed
- Assignee deleted (Mega Yunita)

perhitungan sudah sesuai dan sudah bisa tersimpan ke data additional payroll

Terimakasih

Files

MinovalS.MinovaES.Implementation.BKT.Business. TMToPYVar1.dll 18 KB 02/15/2023 Tri Rizgiaty
CBKTTMTOPYTOTALUANGMAKAN.sql 796 Bytes 02/15/2023 Tri Rizqgiaty
CBKTTMTOPYATTUANGMAKAN.sq| 562 Bytes 02/15/2023 Tri Rizqgiaty
TMToPYUangMakan.xIsx 10.2 KB 02/15/2023 Tri Rizgiaty
